Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Sequence.cpp File Reference

`#include "Sequence.h"`
`#include "tao/Sequence.i"`
`#include "ace/Message_Block.h"`
`#include "ace/Log_Msg.h"`
`#include "ace/OS_NS_string.h"`

Include dependency graph for Sequence.cpp:

## Functions
const char * | get_rcsid_tao_Sequence (const char *)
| TAO_Unbounded_Sequence< CORBA::Octet >::TAO_Unbounded_Sequence (const TAO_Unbounded_Sequence< CORBA::Octet > &rhs)
TAO_Unbounded_Sequence< CORBA::Octet > & | TAO_Unbounded_Sequence< CORBA::Octet >::operator= (const TAO_Unbounded_Sequence< CORBA::Octet > &rhs)
| TAO_Unbounded_Sequence< CORBA::Octet >::TAO_Unbounded_Sequence (CORBA::ULong length, const ACE_Message_Block *mb)
| TAO_Unbounded_Sequence< CORBA::Octet >::~TAO_Unbounded_Sequence (void)
CORBA::Octet * | TAO_Unbounded_Sequence< CORBA::Octet >::get_buffer (CORBA::Boolean orphan)
void | TAO_Unbounded_Sequence< CORBA::Octet >::replace (CORBA::ULong length, const ACE_Message_Block *mb)
void | TAO_Unbounded_Sequence< CORBA::Octet >::_tao_any_destructor (void *x)
void | TAO_Unbounded_Sequence< CORBA::Octet >::_allocate_buffer (CORBA::ULong length)
void | TAO_Unbounded_Sequence< CORBA::Octet >::_deallocate_buffer (void)
void | TAO_Unbounded_Sequence< CORBA::Octet >::replace (CORBA::ULong max, CORBA::ULong length, CORBA::Octet *data, CORBA::Boolean release)
int | operator== (const TAO_Unbounded_Sequence< CORBA::Octet > &lhs, const TAO_Unbounded_Sequence< CORBA::Octet > &rhs)
int | operator!= (const TAO_Unbounded_Sequence< CORBA::Octet > &lhs, const TAO_Unbounded_Sequence< CORBA::Octet > &rhs)
## Variables
const char * | rcsid_tao_Sequence = get_rcsid_tao_Sequence ( rcsid_tao_Sequence )

## Function Documentation

const char* get_rcsid_tao_Sequence | ( | const char * |  | ) | `[inline, static]`

int operator!= | ( | const TAO_Unbounded_Sequence< CORBA::Octet > & | lhs,
|  | const TAO_Unbounded_Sequence< CORBA::Octet > & | rhs
| ) |

int operator== | ( | const TAO_Unbounded_Sequence< CORBA::Octet > & | lhs,
|  | const TAO_Unbounded_Sequence< CORBA::Octet > & | rhs
| ) |

void TAO_Unbounded_Sequence< CORBA::Octet >::_allocate_buffer | ( | CORBA::ULong | length | ) |

void TAO_Unbounded_Sequence< CORBA::Octet >::_deallocate_buffer | ( | void |  | ) |

void TAO_Unbounded_Sequence< CORBA::Octet >::_tao_any_destructor | ( | void * | x | ) |

CORBA::Octet* TAO_Unbounded_Sequence< CORBA::Octet >::get_buffer | ( | CORBA::Boolean | orphan | ) |

TAO_Unbounded_Sequence<CORBA::Octet>& TAO_Unbounded_Sequence< CORBA::Octet >::operator= | ( | const TAO_Unbounded_Sequence< CORBA::Octet > & | rhs | ) |

void TAO_Unbounded_Sequence< CORBA::Octet >::replace | ( | CORBA::ULong | max,
|  | CORBA::ULong | length,
|  | CORBA::Octet * | data,
|  | CORBA::Boolean | release
| ) |

void TAO_Unbounded_Sequence< CORBA::Octet >::replace | ( | CORBA::ULong | length,
|  | const ACE_Message_Block * | mb
| ) |

TAO_Unbounded_Sequence< CORBA::Octet >::TAO_Unbounded_Sequence | ( | CORBA::ULong | length,
|  | const ACE_Message_Block * | mb
| ) |

TAO_Unbounded_Sequence< CORBA::Octet >::TAO_Unbounded_Sequence | ( | const TAO_Unbounded_Sequence< CORBA::Octet > & | rhs | ) |

TAO_Unbounded_Sequence< CORBA::Octet >::~TAO_Unbounded_Sequence | ( | void |  | ) |

## Variable Documentation

const char* rcsid_tao_Sequence = get_rcsid_tao_Sequence ( rcsid_tao_Sequence )`[static]`